# Configuration file

general {

    ##########################################################################################################
    # feature opt-outs
    #--------------------------------------------------------------------------------------------------------#
    # Allows disabling specific features.
    ##########################################################################################################

    "feature opt-outs" {
        # Disable that mobs will sit on chairs and stools.
        B:"Without chair mob sitting"=false

        # Disable possibility to sit on stools and chairs.
        B:"Without chair sitting"=false

        # Disable clinker bricks and derived blocks.
        B:"Without clinker bricks"=false

        # Disable IE concrete wall.
        B:"Without concrete wall"=false

        # Disable treated wood crafting table.
        B:"Without crafting table"=false

        # Disable history refabrication feature of the treated wood crafting table.
        B:"Without crafting table history"=false

        # Disable small electrical pass-through furnace.
        B:"Without electrical furnace"=false

        # Disable the passive fluid accumulator.
        B:"Without fluid accumulator"=false

        # Disable small lab furnace.
        B:"Without lab furnace"=false

        # Disable the speed boost of ladders in this mod.
        B:"Without ladder speed boost"=false

        # Disable ladders
        B:"Without ladders"=false

        # Disable light sources
        B:"Without lights"=false

        # Disable panzer glass and derived blocks.
        B:"Without panzer glass"=false

        # Disable rebar concrete and derived blocks.
        B:"Without rebar concrete"=false

        # Disable slag bricks and derived blocks.
        B:"Without slag bricks"=false

        # Disable all mod stairs blocks.
        B:"Without stairs"=false

        # Disable treated wood table, stool, windowsill, pole, etc.
        B:"Without tr. wood furniture"=false

        # Disable check valve, and redstone controlled valves.
        B:"Without valves"=false

        # Disable all mod wall blocks.
        B:"Without walls"=false

        # Disable treated wood window, etc.
        B:"Without windows"=false
    }

    ##########################################################################################################
    # miscellaneous
    #--------------------------------------------------------------------------------------------------------#
    # Settings for beta testing and trouble shooting. Some of the settings may be moved to other categories after testing.
    ##########################################################################################################

    miscellaneous {
        # Enables experimental features. Use at own risk.
        B:"With experimental"=false

        # Disable registration of opt'ed out blocks. That is normally not a good idea. Your choice.
        B:"Without opt-out registration"=false

        # Disable all internal recipes, allowing to use alternative pack recipes.
        B:"Without recipes"=false
    }

    ##########################################################################################################
    # tweaks
    #--------------------------------------------------------------------------------------------------------#
    # Tweaks and block behaviour adaptions.
    ##########################################################################################################

    tweaks {
        # Defines, in percent, how high the probability is that a mob sits on a chair when colliding with it. Can be changed on-the-fly for tuning.
        # Min: 0.0
        # Max: 80.0
        D:"Chairs: Sitting chance %"=10.0

        # Defines, in percent, probable it is that a mob leaves a chair when sitting on it. The 'dice is rolled' about every 20 ticks. There is also a minimum Sitting time of about 3s. The config value can be changed on-the-fly for tuning.
        # Min: 0.001
        # Max: 10.0
        D:"Chairs: Stand up chance %"=1.0

        # Enables small quick-move arrows from/to player/block storage. Makes the UI a bit too busy, therefore disabled by default.
        B:"Crafting table: Move buttons"=false

        # Defines how much RF per tick the the electrical furnace consumed (average) for smelting. The feeders transferring items from/to adjacent have this consumption/8 for each stack transaction. The default value is only slightly higher than a furnace with an IE external heater (and no burning fuel inside).The config value can be changed on-the-fly for tuning.
        # Min: 10
        # Max: 256
        I:"E-furnace: Power consumption"=16

        # Defines, in percent, how fast the electrical furnace smelts compared to a vanilla furnace. 100% means vanilla furnace speed, 150% means the electrical furnace is faster. The value can be changed on-the-fly for tuning.
        # Min: 50
        # Max: 500
        I:"E-furnace: Smelting speed %"=200

        # Defines the energy consumption (per tick) for speeding up the smelting process. If IE is installed, an external heater has to be inserted into an auxiliary slot of the lab furnace. The power source needs to be able to provide at least 4 times this consumption (fixed threshold value). The value can be changed on-the-fly for tuning. The default value corresponds to the IE heater consumption.
        # Min: 16
        # Max: 256
        I:"Furnace: Boost energy"=24

        # Defines, in percent, how fuel efficient the lab furnace is, compared to a vanilla furnace. 100% means vanilla furnace consumiton, 200% means the lab furnace needs about half the fuel of a vanilla furnace, The value can be changed on-the-fly for tuning.
        # Min: 50
        # Max: 250
        I:"Furnace: Fuel efficiency %"=100

        # Smelts ores to nuggets that are normally smelted to ingots, if detectable in the Forge ore dict. Prefers IE recipe results. The value can be changed on-the-fly for testing or age progression.
        B:"Furnace: Nugget smelting"=false

        # Defines, in percent, how fast the lab furnace smelts compared to a vanilla furnace. 100% means vanilla furnace speed, 150% means the lab furnace is faster. The value can be changed on-the-fly for tuning.
        # Min: 50
        # Max: 500
        I:"Furnace: Smelting speed %"=130

        # Defines how many millibuckets can be transferred (per tick) through the valves. That is technically the 'storage size' specified for blocks that want to fill fluids into the valve (the valve has no container and forward that to the output block), The value can be changed on-the-fly for tuning. 
        # Min: 1
        # Max: 10000
        I:"Valves: Max flow rate"=1000

        # Defines how many millibuckets per redstone signal strength can be transferred per tick through the analog redstone controlled valves. Note: power 0 is always off, power 15 is always the max flow rate. Between power 1 and 14 this scaler will result in a flow = 'redstone slope' * 'current redstone power'. The value can be changed on-the-fly for tuning. 
        # Min: 1
        # Max: 10000
        I:"Valves: Redstone slope"=20
    }

}


